estimate.N <- function(vector.of.components, spname){
  #  Input
  #    Vector in following order:
  #      encounter rate, CV encounter rate(proportion not percent)
  #      expected group size, CV expected group size
  #      f(0), CV f(0)
  er <- vector.of.components[1]
  cv.er <- vector.of.components[2]
  es <- vector.of.components[3]
  cv.es <- vector.of.components[4]
  f0 <- vector.of.components[5]
  cv.f0 <- vector.of.components[6]
  d <- er * f0 * es * .5
  m.to.km <- 1000
  d.km <- d * m.to.km
  cv.d <- sqrt(cv.er^2 + cv.es^2 + cv.f0^2)
  N <- d.km * 1140
  print(paste(spname, "  Abund=",round(N), " CV(N)=", round(cv.d*100, 2)))
}

#  for 3 example whale species below,
#    ER, cv(ER), ES, cv(ES) from runs ignoring off-effort stratum
#    f(0) and cv(f(0)) from runs with species as covariate using both strata

er <- .51858e-1
cv.er <- .5052
es <- 1.04
cv.es <- .0403
f0 <- .35717e-2
cv.f0 <- .108
humpback.components <- c(er,cv.er,es,cv.es,f0,cv.f0)

er <- .005762
cv.er <- .6813
es <- 3
cv.es <- .6667
f0 <- .0027277
cv.f0 <- .2884
kw.components <- c(er,cv.er,es,cv.es,f0,cv.f0)

er <- .005762  # yes, same as kw.er
cv.er <- .6813
es <- 1
cv.es <- 0
f0 <- .0082614
cv.f0 <- .5142
mw.components <- c(er,cv.er,es,cv.es,f0,cv.f0)

estimate.N(humpback.components, "Humpback")
estimate.N(kw.components, "Killer whale")
estimate.N(mw.components, "Minke whale")



############################
#  for 3 example small cetacean species below,
#    ER, cv(ER), ES, cv(ES) from runs ignoring off-effort stratum
#    f(0) and cv(f(0)) from runs with species as covariate using both strata

er <- .03745
cv.er <- .3128
es <- 2.38
cv.es <- .1872
f0 <- .7276e-2
cv.f0 <- .1937
dalls.components <- c(er,cv.er,es,cv.es,f0,cv.f0)

er <- .02881
cv.er <- .3024
es <- 2.6
cv.es <- .299
f0 <- .10357e-1
cv.f0 <- .1604
hp.components <- c(er,cv.er,es,cv.es,f0,cv.f0)

er <- .011524  
cv.er <- .6444
es <- 71
cv.es <- 0.62
f0 <- .30907e-2
cv.f0 <- .209
lag.components <- c(er,cv.er,es,cv.es,f0,cv.f0)

estimate.N(dalls.components, "Dall's porpoise")
estimate.N(hp.components, "Harbour porpoise")
estimate.N(lag.components, "Pacific white-sided dolphin")

############################
#  for 2 example pinniped species below,
#    ER, cv(ER), ES, cv(ES) from runs ignoring off-effort stratum
#    f(0) and cv(f(0)) from runs with species as covariate using both strata

er <- .069144
cv.er <- .2601
es <- 2.3919
cv.es <- .2551
f0 <- .81085e-2
cv.f0 <- .1037
HS.components <- c(er,cv.er,es,cv.es,f0,cv.f0)

er <- .011524
cv.er <- .6854
es <- 1
cv.es <- 0
f0 <- .61572e-2
cv.f0 <- .1824
Steller.components <- c(er,cv.er,es,cv.es,f0,cv.f0)

estimate.N(HS.components, "Harbour seal")
estimate.N(Steller.components, "Steller sea lion")







